2019-08-25 02:17 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001494EnchantedLand[All Projects] Generalpublic2019-02-15 18:58
ReporterIrek 
Assigned ToJOTDProject InfoEnchanted Land (Thalion)
http://www.whdload.de/games/EnchantedLand.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0001494: Enchanted Land: Hi, I have gfx problems with this game on 68040 CPU. Perhaps if
DescriptionInstall: Enchanted Land (Thalion) http://whdload.de/games/EnchantedLand.html
GameVersion: english,pal,1 disks
SlaveVersion: 1.0 from 04.02.2000

Hi,
I have gfx problems with this game on 68040 CPU.
Perhaps if one insert the Blit waits fo 68040 systems, what would change.
I hope, sombody can help me .Thanks in andvance .
Regards, Irek
TagsNo tags attached.
MachineA1200
CPU68040
CPUSpeed40
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem32 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoft40 - Kick 3.1
WHDLoad16.6
importedyes
Attached Files

-Relationships
has duplicate 0001367closedJOTD Enchanted Land: Sprites are blinking like crazy, making the game 
+Relationships

-Notes

note ~0000239

haynor666 (reporter)

still problems with version 1.2 ?

note ~0000694

Irek (reporter)

yes, (the gfx problems was not yet resolved in version 1.2)

note ~0006497

Irek (reporter)

just, I tried it with Snoop option on my 040 blizzard, the game crashes after the intro with an error message:

************************ 17-Nov-18 10:23:36 ************************18.3.5863***
Slave='EnchantedLand.Slave' (1012 bytes)
ShadowMem 547250B8 - 547900B8 ( 438272) AbsolutMem 6B000 - 80000 ( 86016)
Resload 5BF6A000 - 5BF71C8C ( 31884) at 5BF6A000 GL=$5BF73000
Slave 5BFFE000 - 5BFFE3D0 ( 976) at 5BFFE000 BaseMemSize=$80000
attn=7F(40,82) fc=-1 kn=10371 cs=A7CE rw=0 zpt=-1 ep=0 ei=0
setcpu=33D(DC,IC,SCB,ECB,BNC)

invalid copperlist entry (cmove #$0,bltddat) at address $11D48 PC = $10446,
Word Write to $DFF096 (custom.dmacon)

$000103ea ori.b #??$fc,d0
$000103ee ori.b #??$20,d1
$000103f2 cmp2.b (a7)+,a7 ;$000005b4
$000103f6 clr.w ($dff088)
$000103fc move.w #$8640,($dff096)
$00010404 st ($103ea)
$0001040a move.l ($6c).w,($10496)
$00010412 move.l #$1049c,($6c).w
$0001041a move.w #$c020,($dff09a)
$00010422 jsr ($11766)
$00010428 sf ($103ea)
$0001042e move.l #$11c3c,($dff080)
$00010438 clr.w ($dff088)
$0001043e move.w #$87e0,($dff096)
$00010446 tst.b ($10494)
$0001044c bne.w $10464
$00010450 tst.b ($151f0)
$00010456 bne.w $10464
$0001045a bsr.w $10484
$0001045e bsr.w $10628
$00010462 bra.b $10446
$00010464 move.l #$12120,($dff080)
$0001046e clr.w ($dff088)
$00010474 move.b ($151f1),($210).w
$0001047c st ($103ea)
$00010482 rts
$00010484 sf ($1049a)
$0001048a tst.b ($1049a)
$00010490 beq.b $1048a

exception stackframe:
$000005B4 22080001 04467008 000005BC 04C50045 00C50005 00DFF096 00DFF096 FFFF87E0
$000005D4 00DFF096 FFFF87E0 00044D3E 00000096 000120FC 000117F2 00010428
regular stack:
$000005F0 000103C4 20000001 03760080 0000093A 46FC2000 60000270 4E750DDA 33FC7FFF
$00000610 00DFF09A 21FC0000 066A008C 21FC0000 07980090 21FC0000 07B00094 21FC0000
$00000630 06540098 21FC0000 076E006C 33FCC020 00DFF09A 4E75303C 06E0D1FC 00000A00
$00000650 4E434E73 4EF95BFF E3524E73 00000A10 00010364 20040000 000048F9 03000000
$00000670 065C23D7 00000664 48E77FFE 23C90000 07502018 221823C1 00000754 20494EB9

  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx 44D3E 96 2BBA0002 FFFFFFF0 BF84DF80 BF8CDF80 BE001FFF FFFFFFFF
Ax 120FC 11C72 FFFFFFFF FFFDBE78 1FFFDFF 151F0 151BC

                 TTSM III XNZVC
PC= 10446 SR %0010001000001000 USP=7FC00 ISP=5B4 MSP=7F800
VBR=5BF74000 SFC=5 DFC=5 CACR=80008000 MMUSR=0
TC=8000 URP=5BF68000 SRP=5BF68000 DTT0=0 DTT1=0 ITT0=0 ITT1=0

         MEDRAAAABVCPSDT YZ PMRCBSDAAAA
intena=%0100000000100000 dmacon=%0000011001001111 adkcon=$1100
intreq=%0000011110000000
vposr....A300 vhposr...0F5F joy0dat..3DC1 joy1dat..0000 clxdat...8001
pot0dat..5439 pot1dat..3B3B potinp...5500 serdatr..3BFF dskbytr..8000
vposw....A300 bltcon0..4FF8 bltcon1..0000 bltafwm..FFFF bltalwm..0000
bltcpt...0001 bltcptl..1116 bltbpt...0005 bltbptl..A29E bltapt...0006
bltaptl..3276 bltdpt...0005 bltdptl..A29E bltsize..0A02 bltcmod..FFFC
bltbmod..002C bltamod..002C bltdmod..002C cop1lc...0001 cop1lcl..1C3C
cop2lc...0000 cop2lcl..1000 diwstrt..2981 diwstop..EFC1 ddfstrt..0030
ddfstop..00D0 aud0pt...0000 aud0ptl..82E0 aud0len..0010 aud0per..01AC
aud0vol..0020 aud1pt...0000 aud1ptl..86E0 aud1len..0010 aud1per..00D6
aud1vol..0017 aud2pt...0000 aud2ptl..B8FA aud2len..0080 aud2per..011D
aud2vol..0000 aud3pt...0000 aud3ptl..B8FA aud3len..0080 aud3per..011D
aud3vol..0000 bpl1pt...0000 bpl1ptl..0000 bpl2pt...0000 bpl2ptl..0000
bpl3pt...0000 bpl3ptl..0000 bpl4pt...0000 bpl4ptl..0000 bplcon0..4200
bplcon1..0000 bplcon2..0020 bpl1mod..0096 bpl2mod..0096 spr0pt...0002
spr0ptl..2802 spr1pt...0002 spr1ptl..288A spr2pt...0002 spr2ptl..2912
spr3pt...0002 spr3ptl..299A spr4pt...0000 spr4ptl..0000 spr5pt...0000
spr5ptl..0000 spr6pt...0000 spr6ptl..0000 spr7pt...0000 spr7ptl..0000
spr0ctl..0000 spr0data.0000 spr0datb.0000 spr1ctl..0000 spr1data.0000
spr1datb.0000 spr2ctl..0000 spr2data.0000 spr2datb.0000 spr3ctl..0000
spr3data.0000 spr3datb.0000 spr4ctl..0000 spr4data.0000 spr4datb.0000
spr5ctl..0000 spr5data.0000 spr5datb.0000 spr6ctl..0000 spr6data.0000
spr6datb.0000 spr7ctl..0000 spr7data.0000 spr7datb.0000 color00..0000
color01..0000 color02..0000 color03..0000 color04..0000 color05..0000
color06..0000 color07..0000 color08..0000 color09..0000 color10..0000
color11..0000 color12..0000 color13..0000 color14..0000 color15..0000
color16..0000 color17..07D5 color18..0593 color19..0000 color20..0B70
color21..0750 color22..0BB9 color23..0D95 color24..0D11 color25..0F71
color26..0FD1 color27..0FFD color28..0977 color29..0755 color30..0535
color31..0117
   ciaa: PI ROPS ciab: PI ROPS
    cra=00000000 ta=21FF<21FF cra=00000000 ta=FFFF<FFFF
        AII ROPS AII ROPS
    crb=00000000 tb=21FF<21FF crb=00000000 tb=FFFF<FFFF
        10RTWCLO parallel DRCCDSOY M3210HDS
    pra=11111110 prb=11111111 pra=11111111 prb=11111111
       ddra=00000011 ddrb=00000000 ddra=11000000 ddrb=11111111
       event=000A5A icr=00 sdr=00 event=0CA801 icr=00 sdr=00
       alarm=FFFFFF icm=88 alarm=0AD303 icm=00

note ~0006574

JOTD (developer)

Hi,

Fixed quite some SNOOP bugs. Will continue adding features. But if someone can test in the meanwhile...

note ~0006599

Irek (reporter)

Hello,
Yesterday, I tested the new slave, and at the moment the game run even worse than with the older V1.0(there, the intro is still okay, and in the new version, the gfx problems beginning from then on.

note ~0006616

JOTD (developer)

I see what you mean, having tested on my 68060 and seen characters flashing and slightly trashed intro...

runs fine on WinUAE with fast configuration. and SNOOP too. Maybe you want to test with SNOOP again on real hardware?

note ~0006624

Irek (reporter)

Am I getting you right? I should try the game one more time on my real hardwere with the same slave from 23.12?I tried it a few days ago with different tooltypes, unfortunately without success.

It may be that the characters on your 060 CPU are just flashing a bit, on my 040 CPU the flashing of characters and partly of the environment is unbearable.
Of course the game works very well here on my WInUAE and small Amiga configurations.(020 CPU)

note ~0006626

JOTD (developer)

Last edited: 2019-01-01 16:24

View 3 revisions

On my 060 CPU characters & objects flash, or may i say, blink... but the background is perfect.

WinUAE + JIT turned on and I can reproduce the character blinks, so that's cool! t hat said in that case SNOOP/blitwait check won't work, because JIT means no MMU (I'd need a more powerful CPU on my PC!!)

note ~0006627

Irek (reporter)

This is good news that you can reproduce the gfx error on your WinUAE. :)

The background in the game also looks good on my 040 CPU, only the main character and the opponents are flashing and some are invisible. I do not know if that matters, but if I press Pause or Quitkey, the game crashes with an error. (tested with snoopocs option and with the new slave on 040 CPU)
Exception „Acccess Fault“ ($7008) PC=$5BFFE560 (slave $560) Byte Write to BFEE01 (ciaa.cra)

note ~0006628

JOTD (developer)

don't worry about SNOOP it solves nothing for this game. I have added blitter waits somewhere where it looks that it was missing and the main character doesn't blink anymore with JIT. Got to test more, and test on my miggy too.

(JIT makes the game unplayable, as the items don't follow the scrolling as well, crazy!! doesn't happen on real hardware, probably a JIT artifact)

note ~0006630

JOTD (developer)

This isn't blitter waits, this is self-modifying code. Game abuses of them.

Try the new attached slave, it plays properly with JIT, probably no flashing on 68040.

note ~0006632

Irek (reporter)

First I tried the game without any additional options and the problem in the main character seems to be solved. At the top of the screen another bar blinks
and the intro does not look good either. The game crashed sometimes with a error.
 
With NOCACHE option no more crashes, but otherwise everything stayed the same. (see above)

With CACHE option everything works fine so far, no crashes and gfx errors anymore!!!:)

note ~0006633

JOTD (developer)

The intro hasn't been processed yet, just the game. Strange that NOCACHE is worse than CACHE.

note ~0006713

haynor666 (reporter)

Sadly for me works better now with NoCache.
+Notes

-Issue History
Date Modified Username Field Change
2009-04-10 01:02 administrator New Issue
2009-04-10 01:02 administrator Status new => assigned
2009-04-10 01:02 administrator Assigned To => JOTD
2009-04-10 01:02 administrator Machine => A1200
2009-04-10 01:02 administrator CPU => 68040
2009-04-10 01:02 administrator CPUSpeed => 40
2009-04-10 01:02 administrator ChipSet => AGA
2009-04-10 01:02 administrator GFXCard => None
2009-04-10 01:02 administrator ChipMem => 2 MB
2009-04-10 01:02 administrator FastMem => 32 MB
2009-04-10 01:02 administrator Workbench => OS 3.9
2009-04-10 01:02 administrator KickROM => 40 - Kick 3.1
2009-04-10 01:02 administrator KickSoft => 40 - Kick 3.1
2009-04-10 01:02 administrator WHDLoad => 16.6
2009-04-10 01:02 administrator imported => yes
2009-04-20 22:35 haynor666 Note Added: 0000239
2009-04-25 00:10 Irek Note Added: 0000694
2009-04-26 18:54 JOTD Status assigned => confirmed
2018-11-17 13:08 Irek Note Added: 0006497
2018-12-23 23:45 JOTD File Added: EnchantedLand.slave
2018-12-23 23:45 JOTD Note Added: 0006574
2018-12-25 21:11 JOTD Relationship added has duplicate 0001367
2018-12-27 12:42 Irek Note Added: 0006599
2018-12-31 00:09 JOTD Note Added: 0006616
2019-01-01 12:39 Irek Note Added: 0006624
2019-01-01 16:22 JOTD Note Added: 0006626
2019-01-01 16:22 JOTD Note Edited: 0006626 View Revisions
2019-01-01 16:24 JOTD Note Edited: 0006626 View Revisions
2019-01-02 17:15 Irek Note Added: 0006627
2019-01-03 00:11 JOTD Note Added: 0006628
2019-01-04 23:46 JOTD File Added: EnchantedLand.zip
2019-01-04 23:46 JOTD Note Added: 0006630
2019-01-04 23:47 JOTD File Deleted: EnchantedLand.slave
2019-01-04 23:47 JOTD Status confirmed => resolved
2019-01-04 23:47 JOTD Resolution open => fixed
2019-01-05 13:09 Irek Note Added: 0006632
2019-01-05 16:14 JOTD Note Added: 0006633
2019-02-15 18:58 haynor666 Note Added: 0006713
+Issue History